Subject: Re: [lamps] Last Call: draft-ietf-lamps-cms-hash-sig-03

From: "Hammell, Jonathan F" <[email-masked]>
Date: Tue, 12 Feb 2019 16:53:57 +0000

Classification: UNCLASSIFIED

I have a few suggestions to help readers:

Section 2.2, Paragraph 3: define q, e.g. "the number of the leaf (q)..."

Section 2.3, Last paragraph: y in the LM-OTS signature value is not defined.

Section 4: lms_public_key is not defined.  Yes, it is clear if you read [HASHSIG], but you are including the expansion of lms_signature and ots_signature.

Section 6.1, Paragraph 2: s/must must/must

Section 6.1, Paragraphs 4,5: Citations [RANDOM] and [RFC4086] refer to the same document.

Section 6.1: Should the instances of lowercase "must" be uppercase?  Note that uppercase "SHOULD" is used in the last paragraph of this section.

Section 6.1, Paragraph 3: s/LM-OTP/LM-OTS

Section 6.2, Paragraph 4: s/defined to that/defined so that

Best regards,
Jonathan

---

From: Russ Housley <[email-masked]>
Date: Tue, 12 Feb 2019 15:11:15 -0500

Jonathan:

Thanks for the careful read.  All of these comments have been addressed i my edit buffer.  I will post an update shortly.

Russ

> On Feb 12, 2019, at 11:53 AM, Hammell, Jonathan F <[email-masked]> wrote:
>